(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@grapecity/spread-sheets'), require('@grapecity/spread-sheets-designer'), require('rxjs'), require('@angular/common')) :
  typeof define === 'function' && define.amd ? define('@grapecity/spread-sheets-designer-angular', ['exports', '@angular/core', '@grapecity/spread-sheets', '@grapecity/spread-sheets-designer', 'rxjs', '@angular/common'], factory) :
  (global = global || self, factory((global.grapecity = global.grapecity || {}, global.grapecity['spread-sheets-designer-angular'] = {}), global.ng.core, global.GC, null, global.rxjs, global.ng.common));
}(this, (function (exports, core, GC, spreadSheetsDesigner, rxjs, common) { 'use strict';

  var DesignerComponent = /** @class */ (function () {
      function DesignerComponent(elRef) {
          this.elRef = elRef;
          this.designerInitialized = new core.EventEmitter();
      }
      DesignerComponent.prototype.ngAfterViewInit = function () {
          var dom = this.elRef.nativeElement;
          this.designer = new GC.Spread.Sheets.Designer.Designer(dom.querySelector('div'));
          var config = this.props.config;
          if (config) {
              this.setConfig(config);
          }
          this.designer.refresh();
          this.designerInitialized.emit({ designer: this.designer });
      };
      DesignerComponent.prototype.setStyleInfo = function (styleinfo) {
          var _this = this;
          if (styleinfo instanceof rxjs.Observable) {
              var styleObChange_1 = styleinfo.subscribe({
                  next: function (arg) { return _this.updateStyleInfo(arg); },
                  error: function (e) { return console.error(e); },
                  complete: function () { return styleObChange_1.unsubscribe(); }
              });
          }
          else {
              this.styleInfo = styleinfo;
          }
      };
      DesignerComponent.prototype.setConfig = function (config) {
          var _this = this;
          if (config instanceof rxjs.Observable) {
              var configObChange_1 = config.subscribe({
                  next: function (arg) { return _this.updateConfig(arg); },
                  error: function (e) { return console.error(e); },
                  complete: function () { return configObChange_1.unsubscribe(); }
              });
          }
          else {
              this.designer.setConfig(config);
          }
      };
      DesignerComponent.prototype.updateStyleInfo = function (styleInfo) {
          this.designer.Spread.suspendPaint();
          this.styleInfo = styleInfo;
          this.designer.refresh();
          this.designer.Spread.resumePaint();
      };
      DesignerComponent.prototype.updateConfig = function (config) {
          this.designer.Spread.suspendPaint();
          this.designer.setConfig(config);
          this.designer.refresh();
          this.designer.Spread.resumePaint();
      };
      DesignerComponent.prototype.ngOnChanges = function (changes) {
          var property = changes.props.currentValue;
          if (!this.designer) {
              if (property.styleInfo) {
                  this.setStyleInfo(changes.props.currentValue.styleInfo);
              }
          }
          else {
              if (property.styleInfo) {
                  this.updateStyleInfo(changes.props.currentValue.styleInfo);
              }
              if (property.config) {
                  this.updateConfig(changes.props.currentValue.config);
              }
          }
      };
      DesignerComponent.prototype.ngOnDestroy = function () {
          this.designer.dispose();
      };
      return DesignerComponent;
  }());
  DesignerComponent.decorators = [
      { type: core.Component, args: [{
                  selector: 'designer',
                  template: "\n  <div id= \"gc-designer-container\" class=\"designer\" [style]=\"styleInfo\">\n  </div>\n  ",
                  encapsulation: core.ViewEncapsulation.None
              },] }
  ];
  DesignerComponent.ctorParameters = function () { return [
      { type: core.ElementRef }
  ]; };
  DesignerComponent.propDecorators = {
      props: [{ type: core.Input }],
      designerInitialized: [{ type: core.Output }]
  };

  var DesignerModule = /** @class */ (function () {
      function DesignerModule() {
      }
      return DesignerModule;
  }());
  DesignerModule.decorators = [
      { type: core.NgModule, args: [{
                  imports: [
                      common.CommonModule
                  ],
                  declarations: [DesignerComponent],
                  exports: [DesignerComponent] //新添加的部分
              },] }
  ];

  /**
   * Generated bundle index. Do not edit.
   */

  exports.DesignerModule = DesignerModule;
  exports.ɵa = DesignerComponent;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=grapecity-spread-sheets-designer-angular.umd.js.map
