export let config = {
    "ribbon":[
        {
            "id":"home",
            "text":"HOME",
            "buttonGroups":[
                // This is custom button ----------------start-------------
                {
                    "label":"Custom Command",
                    "thumbnailClass":"",
                    "commandGroup":{
                        "children":[
                            {
                                "direction":"vertical",
                                "commands":[
                                    "saveDB"
                                ]
                            }
                            // This is custom button ----------------end-------------
                        ]
                    }
                },
                {
                    "label":"Undo",
                    "thumbnailClass":"ribbon-thumbnail-undoredo",
                    "commandGroup":{
                        "children":[
                            {
                                "direction":"vertical",
                                "commands":[
                                    "undo",
                                    "redo"
                                ]
                            }
                        ]
                    }
                },
                {
                    "label":"Clipboard",
                    "thumbnailClass":"ribbon-thumbnail-clipboard",
                    "commandGroup":{
                        "children":[
                            {
                                "commands":[
                                    "paste"
                                ]
                            },
                            {
                                "direction":"vertical",
                                "commands":[
                                    "cut",
                                    "copy"
                                ]
                            }
                        ]
                    }
                },
                {
                    "label":"Fonts",
                    "indicator":"indicator.Fonts",
                    "thumbnailClass":"ribbon-thumbnail-fonts",
                    "commandGroup":{
                        "direction":"vertical",
                        "children":[
                            {
                                "commands":[
                                    "font-family",
                                    "font-size",
                                    "increase-fontsize",
                                    "decrease-fontsize"
                                ]
                            },
                            {
                                "commands":[
                                    "font-weight",
                                    "font-italic",
                                    "font-underline",
                                    "font-double-underline",
                                    "separator",
                                    "border",
                                    "separator",
                                    "backcolor",
                                    "forecolor"
                                ]
                            }
                        ]
                    }
                },
                {
                    "label":"Alignment",
                    "indicator":"indicator.Alignment",
                    "thumbnailClass":"ribbon-thumbnail-alignment",
                    "commandGroup":{
                        "children":[
                            {
                                "direction":"vertical",
                                "children":[
                                    {
                                        "commands":[
                                            "top-align",
                                            "middle-align",
                                            "bottom-align",
                                            "separator",
                                            "orientationList"
                                        ]
                                    },
                                    {
                                        "commands":[
                                            "left-align",
                                            "center-align",
                                            "right-align",
                                            "separator",
                                            "decrease-indent",
                                            "increase-indent"
                                        ]
                                    }
                                ]
                            },
                            {
                                "type":"separator"
                            },
                            {
                                "direction":"vertical",
                                "children":[
                                    {
                                        "commands":[
                                            "wrap-text"
                                        ]
                                    },
                                    {
                                        "commands":[
                                            "merge-center",
                                            "alignment.mergeList"
                                        ]
                                    }
                                ]
                            }
                        ]
                    }
                },
                {
                    "label":"Numbers",
                    "indicator":"indicator.Numbers",
                    "thumbnailClass":"ribbon-thumbnail-numbers",
                    "commandGroup":{
                        "direction":"vertical",
                        "children":[
                            {
                                "commands":[
                                    "numberformat"
                                ]
                            },
                            {
                                "commands":[
                                    "format-percentage",
                                    "format-comma",
                                    "separator",
                                    "increase-decimal",
                                    "decrease-decimal"
                                ]
                            }
                        ]
                    }
                },
                {
                    "label":"Cell Type",
                    "thumbnailClass":"ribbon-thumbnail-celltype",
                    "commandGroup":{
                        "children":[
                            {
                                "commands":[
                                    "cell-type",
                                    "cell-dropdowns"
                                ]
                            }
                        ]
                    }
                },
                {
                    "label":"Styles",
                    "thumbnailClass":"ribbon-thumbnail-styles",
                    "commandGroup":{
                        "commands":[
                            "ConditionFormat",
                            "format-table2",
                            "cell-styles",
                            "cell-states"
                        ]
                    }
                },
                {
                    "label":"Cells",
                    "thumbnailClass":"ribbon-thumbnail-cells",
                    "commandGroup":{
                        "commands":[
                            "cells.insert",
                            "cells.delete",
                            "cells.format"
                        ]
                    }
                },
                {
                    "label":"Editing",
                    "thumbnailClass":"ribbon-thumbnail-editing",
                    "commandGroup":{
                        "children":[
                            {
                                "direction":"vertical",
                                "children":[
                                    {
                                        "commands":[
                                            "editing.autoSum",
                                            "editing.autoSumList"
                                        ]
                                    },
                                    {
                                        "commands":[
                                            "editing.fillDown",
                                            "editing.fillDownList"
                                        ]
                                    },
                                    {
                                        "commands":[
                                            "clear",
                                            "editing.clearAllList"
                                        ]
                                    }
                                ]
                            },
                            {
                                "commands":[
                                    "editing.sortFilter"
                                ]
                            },
                            {
                                "commands":[
                                    "editing.find"
                                ]
                            }
                        ]
                    }
                }
            ]
        },
        {
            "id":"insert",
            "text":"INSERT",
            "buttonGroups":[
                {
                    "label":"Table",
                    "thumbnailClass":"ribbon-thumbnail-table",
                    "commandGroup":{
                        "commands":[
                            "insert.table"
                        ]
                    }
                },
                {
                    "label":"Chart",
                    "thumbnailClass":"ribbon-thumbnail-chart",
                    "commandGroup":{
                        "commands":[
                            "insert.Chart"
                        ]
                    }
                },
                {
                    "label":"Illustration",
                    "thumbnailClass":"ribbon-button-picture",
                    "commandGroup":{
                        "commands":[
                            "insert.Picture"
                        ]
                    }
                },
                {
                    "label":"Shapes",
                    "thumbnailClass":"ribbon-thumbnail-shapes",
                    "commandGroup":{
                        "commands":[
                            "insert-shape"
                        ]
                    }
                },
                {
                    "label":"Barcode",
                    "thumbnailClass":"ribbon-thumbnail-barcode",
                    "commandGroup":{
                        "commands":[
                            "insert.barCode"
                        ]
                    }
                },
                {
                    "label":"Hyperlink",
                    "thumbnailClass":"ribbon-thumbnail-barcode",
                    "commandGroup":{
                        "commands":[
                            "insert.hyperLink"
                        ]
                    }
                },
                {
                    "label":"Sparklines",
                    "thumbnailClass":"ribbon-thumbnail-sparklines",
                    "commandGroup":{
                        "commands":[
                            "sparklines.linesparkline",
                            "sparklines.columnsparkline",
                            "sparklines.winlosssparkline",
                            "sparklines.piesparkline",
                            "sparklines.areasparkline",
                            "sparklines.scattersparkline",
                            "sparklines.spreadssparkline",
                            "sparklines.stackedsparkline",
                            "sparklines.boxplotsparkline",
                            "sparklines.cascadesparkline",
                            "sparklines.paretosparkline",
                            "sparklines.bulletsparkline",
                            "sparklines.hbarsparkline",
                            "sparklines.vbarsparkline",
                            "sparklines.variancesparkline",
                            "sparklines.monthsparkline",
                            "sparklines.yearsparkline"
                        ]
                    }
                }
            ]
        },
        {
            "id":"formulas",
            "text":"FORMULAS",
            "buttonGroups":[
                {
                    "label":"Functions",
                    "thumbnailClass":"ribbon-button-insertfunction",
                    "commandGroup":{
                        "commands":[
                            "Insertfunction"
                        ]
                    }
                },
                {
                    "label":"Functions Library",
                    "thumbnailClass":"ribbon-thumbnail-functions",
                    "commandGroup":{
                        "commands":[
                            "FormulaAutoSum",
                            "FormulaFinalancial",
                            "LogicalFormula",
                            "FormulaText",
                            "FormulaDateTime",
                            "FormulaLookupReference",
                            "FormulaLookupReferenceAllowDynamicArray",
                            "FormulaMathTrig",
                            "FormulaMathTrigAllowDynamicArray",
                            "MoreFunctions"
                        ]
                    }
                },
                {
                    "label":"Names",
                    "thumbnailClass":"ribbon-thumbnail-names",
                    "commandGroup":{
                        "commands":[
                            "Namemanager"
                        ]
                    }
                },
                {
                    "label":"Formula Auditing",
                    "thumbnailClass":"ribbon-thumbnail-functions",
                    "commandGroup":{
                        "commands":[
                            "ShowFormulas"
                        ]
                    }
                }
            ]
        },
        {
            "id":"data",
            "text":"DATA",
            "buttonGroups":[
                {
                    "label":"Sort & Filter",
                    "thumbnailClass":"ribbon-thumbnail-sortAndFilter",
                    "commandGroup":{
                        "children":[
                            {
                                "direction":"vertical",
                                "commands":[
                                    "sort-AZ-data",
                                    "sort-ZA-data"
                                ]
                            },
                            {
                                "commands":[
                                    "custom-sort-data"
                                ]
                            },
                            {
                                "type":"separator"
                            },
                            {
                                "commands":[
                                    "set-filter-data"
                                ]
                            },
                            {
                                "direction":"vertical",
                                "commands":[
                                    "clear-filter-data",
                                    "reapply-filter-data"
                                ]
                            }
                        ]
                    }
                },
                {
                    "label":"Data Tools",
                    "thumbnailClass":"ribbon-thumbnail-datatools",
                    "commandGroup":{
                        "children":[
                            {
                                "commands":[
                                    "data-validation",
                                    "datavalidationList"
                                ]
                            }
                        ]
                    }
                },
                {
                    "label":"Outline",
                    "indicator":"indicator.Outline",
                    "thumbnailClass":"ribbon-thumbnail-outline",
                    "commandGroup":{
                        "children":[
                            {
                                "commands":[
                                    "group",
                                    "ungroup",
                                    "subtotal"
                                ]
                            },
                            {
                                "type":"separator"
                            },
                            {
                                "direction":"vertical",
                                "commands":[
                                    "show-detail",
                                    "hide-detail"
                                ]
                            }
                        ]
                    }
                },
                {
                    "label":"Design Mode",
                    "thumbnailClass":"ribbon-thumbnail-designmode",
                    "commandGroup":{
                        "children":[
                            {
                                "commands":[
                                    "template-design-mode"
                                ]
                            },
                            {
                                "type":"separator"
                            },
                            {
                                "direction":"vertical",
                                "commands":[
                                    "loadSchema",
                                    "saveSchema",
                                    "clearBindingPath"
                                ]
                            },
                            {
                                "type":"separator"
                            },
                            {
                                "commands":[
                                    "auto-generate-label"
                                ]
                            }
                        ]
                    }
                }
            ]
        },
        {
            "id":"view",
            "text":"VIEW",
            "buttonGroups":[
                {
                    "label":"Show/Hide",
                    "thumbnailClass":"ribbon-thumbnail-showhide",
                    "commandGroup":{
                        "children":[
                            {
                                "direction":"vertical",
                                "commands":[
                                    "showhide-rowheader",
                                    "showhide-columnheader"
                                ]
                            },
                            {
                                "type":"separator"
                            },
                            {
                                "direction":"vertical",
                                "commands":[
                                    "showhide-vgridline",
                                    "showhide-hgridline"
                                ]
                            },
                            {
                                "type":"separator"
                            },
                            {
                                "direction":"vertical",
                                "commands":[
                                    "showhide-tabstrip",
                                    "showhide-newtab"
                                ]
                            }
                        ]
                    }
                },
                {
                    "label":"Zoom",
                    "thumbnailClass":"ribbon-thumbnail-zoom",
                    "commandGroup":{
                        "commands":[
                            "zoom",
                            "zoom-default",
                            "zoom-selection"
                        ]
                    }
                },
                {
                    "label":"Viewport",
                    "thumbnailClass":"ribbon-thumbnail-viewport",
                    "commandGroup":{
                        "commands":[
                            "viewpoint-freeze-panes",
                            "unfreeze-panes"
                        ]
                    }
                }
            ]
        },
        {
            "id":"settings",
            "text":"SETTINGS",
            "buttonGroups":[
                {
                    "label":"Spread Settings",
                    "thumbnailClass":"ribbon-thumbnail-spreadsettings",
                    "commandGroup":{
                        "children":[
                            {
                                "direction":"vertical",
                                "commands":[
                                    "spread-setting-general"
                                ]
                            },
                            {
                                "direction":"vertical",
                                "commands":[
                                    "spread-setting-scrollbar",
                                    "spread-setting-calculation",
                                    "spread-setting-tabstrip"
                                ]
                            }
                        ]
                    }
                },
                {
                    "label":"Sheet Settings",
                    "thumbnailClass":"ribbon-thumbnail-sheetsettings",
                    "commandGroup":{
                        "children":[
                            {
                                "direction":"vertical",
                                "commands":[
                                    "sheet-setting-general"
                                ]
                            },
                            {
                                "direction":"vertical",
                                "commands":[
                                    "sheet-setting-gridline",
                                    "sheet-setting-headers"
                                ]
                            }
                        ]
                    }
                }
            ]
        },
        {
            "id":"tableDesign",
            "text":"DESIGN",
            "buttonGroups":[
                {
                    "label":"Properties",
                    "thumbnailClass":"ribbon-thumbnail-properties",
                    "commandGroup":{
                        "children":[
                            {
                                "direction":"vertical",
                                "commands":[
                                    "tablename",
                                    "resize-table"
                                ]
                            }
                        ]
                    }
                },
                {
                    "label":"Tools",
                    "thumbnailClass":"ribbon-thumbnail-tools",
                    "commandGroup":{
                        "children":[
                            {
                                "direction":"vertical",
                                "commands":[
                                    "convert-to-range",
                                    "table-allowAutoExpand"
                                ]
                            },
                            {
                                "commands":[
                                    "insert-slicer"
                                ]
                            }
                        ]
                    }
                },
                {
                    "label":"Table Style Options",
                    "thumbnailClass":"ribbon-thumbnail-tablestyleoptions",
                    "commandGroup":{
                        "children":[
                            {
                                "direction":"vertical",
                                "commands":[
                                    "tablestyle-headerrow",
                                    "tablestyle-totalrow",
                                    "tablestyle-bandedrows"
                                ]
                            },
                            {
                                "direction":"vertical",
                                "commands":[
                                    "tablestyle-firstcolumn",
                                    "tablestyle-lastcolumn",
                                    "tablestyle-bandedcolumns"
                                ]
                            },
                            {
                                "direction":"vertical",
                                "commands":[
                                    "tablestyle-reszieHandler",
                                    "tablestyle-filterbutton",
                                    "tablestyle-totalRowList"
                                ]
                            }
                        ]
                    }
                },
                {
                    "label":"Table Styles",
                    "thumbnailClass":"ribbon-thumbnail-tablestyles",
                    "commandGroup":{
                        "commands":[
                            "format-table"
                        ]
                    }
                }
            ],
            "visibleWhen":"TableSelected"
        },
        {
            "id":"chartDesign",
            "text":"DESIGN",
            "buttonGroups":[
                {
                    "label":"Chart Layouts",
                    "thumbnailClass":"ribbon-thumbnail-chartlayouts",
                    "commandGroup":{
                        "commands":[
                            "add-chart-element",
                            "quick-layout"
                        ]
                    }
                },
                {
                    "label":"Chart Styles",
                    "thumbnailClass":"ribbon-thumbnail-chartstyles",
                    "commandGroup":{
                        "commands":[
                            "change-colors",
                            "chart-style"
                        ]
                    }
                },
                {
                    "label":"Data",
                    "thumbnailClass":"ribbon-thumbnail-chartdata",
                    "commandGroup":{
                        "commands":[
                            "switch-row-column",
                            "select-data"
                        ]
                    }
                },
                {
                    "label":"Type",
                    "thumbnailClass":"ribbon-thumbnail-charttype",
                    "commandGroup":{
                        "commands":[
                            "change-chart-type"
                        ]
                    }
                },
                {
                    "label":"Location",
                    "thumbnailClass":"ribbon-thumbnail-chartlocation",
                    "commandGroup":{
                        "commands":[
                            "move-chart"
                        ]
                    }
                },
                {
                    "label":"Accessiblity",
                    "thumbnailClass":"ribbon-thumbnail-chart-alt-text",
                    "commandGroup":{
                        "commands":[
                            "designer.chartAltText"
                        ]
                    }
                }
            ],
            "visibleWhen":"singleChartSelected"
        },
        {
            "id":"pictureDesign",
            "text":"DESIGN",
            "buttonGroups":[
                {
                    "label":"Accessiblity",
                    "thumbnailClass":"ribbon-thumbnail-chart-alt-text",
                    "commandGroup":{
                        "commands":[
                            "PictureAltText"
                        ]
                    }
                }
            ],
            "visibleWhen":"pictureSelected"
        },
        {
            "id":"shapeDesign",
            "text":"DESIGN",
            "buttonGroups":[
                {
                    "label":"Insert Shape",
                    "thumbnailClass":"ribbon-thumbnail-shapeinsertshape",
                    "commandGroup":{
                        "commands":[
                            "insert-shape-list",
                            "change-shape"
                        ]
                    }
                },
                {
                    "label":"Shape Styles",
                    "thumbnailClass":"ribbon-thumbnail-shapeStyles",
                    "commandGroup":{
                        "commands":[
                            "change-shape-style"
                        ]
                    }
                },
                {
                    "label":"Accessiblity",
                    "thumbnailClass":"ribbon-thumbnail-chart-alt-text",
                    "commandGroup":{
                        "commands":[
                            "designer.shapeAltText"
                        ]
                    }
                },
                {
                    "label":"Rotate",
                    "thumbnailClass":"ribbon-thumbnail-shaperotate",
                    "commandGroup":{
                        "commands":[
                            "shape-rotate"
                        ]
                    }
                },
                {
                    "label":"Group",
                    "thumbnailClass":"ribbon-thumbnail-shapegroup",
                    "commandGroup":{
                        "commands":[
                            "shape-command-group"
                        ]
                    }
                },
                {
                    "class":"gc-ribbon-panelgroup-shapeSize",
                    "label":"Size",
                    "thumbnailClass":"ribbon-thumbnail-shapesize",
                    "commandGroup":{
                        "direction":"vertical",
                        "commands":[
                            "shape-size-height",
                            "shape-size-width"
                        ]
                    }
                }
            ],
            "visibleWhen":"ShapeSelected"
        },
        {
            "id":"slicerDesign",
            "text":"OPTIONS",
            "buttonGroups":[
                {
                    "class":"slicer_panel",
                    "label":"Slicer",
                    "thumbnailClass":"ribbon-thumbnail-properties",
                    "commandGroup":{
                        "children":[
                            {
                                "direction":"vertical",
                                "type":"group",
                                "commands":[
                                    "captionName",
                                    "slicer_setting"
                                ]
                            }
                        ]
                    }
                },
                {
                    "label":"Slicer Styles",
                    "thumbnailClass":"ribbon-thumbnail-tablestyles",
                    "commandGroup":{
                        "commands":[
                            "slicer_format"
                        ]
                    }
                },
                {
                    "class":"slicer_buttons",
                    "label":"Buttons",
                    "thumbnailClass":"ribbon-thumbnail-properties",
                    "commandGroup":{
                        "direction":"vertical",
                        "commands":[
                            "column_count",
                            "item_height",
                            "item_width"
                        ]
                    }
                },
                {
                    "class":"slicer_size",
                    "label":"Size",
                    "thumbnailClass":"ribbon-thumbnail-sliceSize",
                    "commandGroup":{
                        "direction":"vertical",
                        "commands":[
                            "slicer_height",
                            "slicer_width"
                        ]
                    }
                }
            ],
            "visibleWhen":"SlicerSelected"
        },
        {
            "id":"formulaSparkLineDesign",
            "text":"DESIGN",
            "buttonGroups":[
                {
                    "label":"Argument",
                    "thumbnailClass":"ribbon-thumbnail-argument",
                    "commandGroup":{
                        "commands":[
                            "formulaSparklineSetting"
                        ]
                    }
                }
            ],
            "visibleWhen":"FormulaSparklineSelected"
        },
        {
            "id":"sparkLineDesign",
            "text":"DESIGN",
            "buttonGroups":[
                {
                    "label":"Type",
                    "thumbnailClass":"ribbon-thumbnai-sparkline-type",
                    "commandGroup":{
                        "commands":[
                            "linesparkline",
                            "columnsparkline",
                            "winlosssparkline"
                        ]
                    }
                },
                {
                    "label":"Show",
                    "thumbnailClass":"ribbon-thumbnail-sparkline-show",
                    "commandGroup":{
                        "children":[
                            {
                                "direction":"vertical",
                                "commands":[
                                    "show-highpoint",
                                    "show-lowpoint",
                                    "show-negativepoint"
                                ]
                            },
                            {
                                "direction":"vertical",
                                "commands":[
                                    "show-firstpoint",
                                    "show-lastpoint",
                                    "show-markers"
                                ]
                            }
                        ]
                    }
                },
                {
                    "label":"Style",
                    "thumbnailClass":"ribbon-thumbnail-sparkline-style",
                    "commandGroup":{
                        "children":[
                            {
                                "direction":"vertical",
                                "children":[
                                    {
                                        "direction":"vertical",
                                        "commands":[
                                            "sparkline-color",
                                            "sparkline-marker-color"
                                        ]
                                    },
                                    {
                                        "commands":[
                                            "sparkline-weight"
                                        ]
                                    }
                                ]
                            }
                        ]
                    }
                },
                {
                    "label":"Group",
                    "thumbnailClass":"ribbon-thumbnail-sparkline-groups",
                    "commandGroup":{
                        "children":[
                            {
                                "direction":"vertical",
                                "children":[
                                    {
                                        "direction":"vertical",
                                        "commands":[
                                            "sparkline-group",
                                            "sparkline-ungroup"
                                        ]
                                    },
                                    {
                                        "commands":[
                                            "clear-sparkline",
                                            "clear-sparkline-dropdown"
                                        ]
                                    }
                                ]
                            }
                        ]
                    }
                }
            ],
            "visibleWhen":"SparklineSelected"
        },
        {
            "id":"barcodeDesignId",
            "text":"DESIGN",
            "buttonGroups":[
                {
                    "label":"Argument",
                    "thumbnailClass":"ribbon-thumbnail-argument",
                    "commandGroup":{
                        "commands":[
                            "BarCodeSetting"
                        ]
                    }
                }
            ],
            "visibleWhen":"BarCodeSelected"
        },
        {
            "id": "isValid",
            "text": "SpreadJS Designer Preview",
            "buttonGroups": [{
                "label": "Contact sales at (+1) 412-681-4343 or us.sales@grapecity.com to request temporary deployment authorization.",
                "thumbnailClass": "",
                "commandGroup": {}
            }]
        }
    ],
    "contextMenu":[
        "designer.cut",
        "designer.copy",
        "designer.paste",
        "designer.pasteAll",
        "designer.pasteFormula",
        "designer.pasteValues",
        "designer.pasteFormatting",
        "designer.pasteValuesFormatting",
        "designer.pasteFormulaFormatting",
        "designer.floatingObjectCut",
        "designer.floatingObjectCopy",
        "designer.cutShapes",
        "designer.copyShapes",
        "designer.pasteShapes",
        "separator",
        "designer.resetChartColor",
        "designer.changeChartTypeDialog",
        "designer.selectChartDataDialog",
        "designer.moveChartDialog",
        "designer.formatChart",
        "separator",
        "designer.insert_dialog",
        "designer.delete_dialog",
        "gc.spread.contextMenu.insertColumns",
        "gc.spread.contextMenu.deleteColumns",
        "gc.spread.contextMenu.insertRows",
        "gc.spread.contextMenu.deleteRows",
        "designer.tableInsert",
        "designer.tableDelete",
        "gc.spread.contextMenu.clearContents",
        "separator",
        "gc.spread.contextMenu.rowHeaderinsertCopiedCells",
        "gc.spread.contextMenu.rowHeaderinsertCutCells",
        "gc.spread.contextMenu.colHeaderinsertCopiedCells",
        "gc.spread.contextMenu.colHeaderinsertCutCells",
        "designer.insertCopiedCells",
        "designer.insertCutCells",
        "separator",
        "gc.spread.contextMenu.insertSheet",
        "gc.spread.contextMenu.deleteSheet",
        "designer.UnprotectSheet",
        "designer.protectSheet",
        "separator",
        "gc.spread.contextMenu.filter",
        "designer.sort",
        "designer.table",
        "separator",
        "gc.spread.contextMenu.insertComment",
        "gc.spread.contextMenu.editComment",
        "gc.spread.contextMenu.deleteComment",
        "gc.spread.contextMenu.toggleComment",
        "designer.formatComment",
        "separator",
        "designer.formatCells",
        "designer.editCellType",
        "designer.editCellDropdowns",
        "designer.link",
        "designer.editHyperlink",
        "designer.openHyperlink",
        "designer.removeHyperlink",
        "designer.removeHyperlinks",
        "separator",
        "designer.richText",
        "designer.defineName",
        "designer.cellTag",
        "designer.rowTag",
        "designer.colTag",
        "designer.columnWidth",
        "designer.rowHeight",
        "gc.spread.contextMenu.hideColumns",
        "gc.spread.contextMenu.hideRows",
        "gc.spread.contextMenu.unhideColumns",
        "gc.spread.contextMenu.unhideRows",
        "designer.columnHeaders",
        "designer.outlineColumn",
        "designer.rowHeaders",
        "separator",
        "designer.showTabColor",
        "gc.spread.contextMenu.hideSheet",
        "gc.spread.contextMenu.unhideSheet",
        "designer.sheetTag",
        "separator",
        "gc.spread.contextMenu.cut",
        "gc.spread.contextMenu.copy",
        "designer.slicerPasteOptions",
        "gc.spread.contextMenu.pasteAll",
        "gc.spread.contextMenu.slicerSortAscend",
        "gc.spread.contextMenu.slicerSortDescend",
        "gc.spread.contextMenu.removeSlicer",
        "designer.slicerProperty",
        "designer.slicerSetting",
        "separator",
        "shape-command-group",
        "designer.formatShapes",
        "designer.more-functions"
    ],
    "fileMenu":"fileMenuButton",
    "sidePanels":[
        {
            "position":"top",
            "allowResize":true,
            "command":"formulaBarPanel",
            "uiTemplate":"formulaBarTemplate"
        },
        {
            "position":"right",
            "width":"300px",
            "command":"fieldListTreePanel",
            "uiTemplate":"filedListTemplate"
        },
        {
            "position":"bottom",
            "command":"statusBarPanel",
            "uiTemplate":"statusBarPanelTemplate"
        },
        {
            "position":"full",
            "command":"fileMenuPanel",
            "uiTemplate":"FileMenuPanelTemplate"
        },
        {
            "position":"right",
            "width":"300px",
            "command":"shapePanel",
            "uiTemplate":"shapeTemplate"
        },
        {
            "position":"right",
            "width":"300px",
            "command":"columnChartPanel",
            "uiTemplate":"columnChartTemplate"
        },
        {
            "position":"right",
            "width":"300px",
            "command":"lineChartPanel",
            "uiTemplate":"lineChartTemplate"
        },
        {
            "position":"right",
            "width":"300px",
            "command":"pieChartPanel",
            "uiTemplate":"pieChartTemplate"
        },
        {
            "position":"right",
            "width":"300px",
            "command":"barChartPanel",
            "uiTemplate":"barChartTemplate"
        },
        {
            "position":"right",
            "width":"300px",
            "command":"areaChartPanel",
            "uiTemplate":"areaChartTemplate"
        },
        {
            "position":"right",
            "width":"300px",
            "command":"scatterChartPanel",
            "uiTemplate":"scatterChartTemplate"
        },
        {
            "position":"right",
            "width":"300px",
            "command":"stockChartPanel",
            "uiTemplate":"stockChartTemplate"
        },
        {
            "position":"right",
            "width":"300px",
            "command":"radarChartPanel",
            "uiTemplate":"radarChartTemplate"
        },
        {
            "position":"right",
            "width":"300px",
            "command":"sunburstChartPanel",
            "uiTemplate":"sunburstChartTemplate"
        },
        {
            "position":"right",
            "width":"300px",
            "command":"treemapChartPanel",
            "uiTemplate":"treeMapChartPanelTemplate"
        },
        {
            "position":"right",
            "width":"300px",
            "command":"comboChartPanel",
            "uiTemplate":"comboChartTemplate"
        },
        {
            "position":"right",
            "width":"300px",
            "command":"chartAltTextPanel",
            "uiTemplate":"altTextTemplate",
            "showCloseButton":true
        },
        {
            "position":"right",
            "width":"300px",
            "command":"PictureAltTextPanel",
            "uiTemplate":"altTextTemplate",
            "showCloseButton":true
        },
        {
            "position":"right",
            "width":"300px",
            "command":"shapeAltTextPanel",
            "uiTemplate":"altTextTemplate",
            "showCloseButton":true
        }
    ]
};
